> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read client

> Get information about a specific client.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="client" type="object" required>
      Structure, at least one of the fields must be filled.

      <Expandable title="child attribute">
        <ParamField body="clientKey" type="string">
          ID of the client.
        </ParamField>

        <ParamField body="fullname" type="string">
          First and second names of the client.
        </ParamField>

        <ParamField body="email" type="string">
          Email of the client.
        </ParamField>

        <ParamField body="organization" type="string">
          Organization name.
        </ParamField>

        <ParamField body="customKey" type="string">
          Client custom key, if you used it when creating the client.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="client">
  Client structure.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="changeTime" type="string">
      Change time.
    </ResponseField>

    <ResponseField name="clientKey" type="string">
      ID of the client.
    </ResponseField>

    <ResponseField name="fullname" type="string">
      First and second names of the client.
    </ResponseField>

    <ResponseField name="email" type="string">
      Email of the client.
    </ResponseField>

    <ResponseField name="organization" type="string">
      Organization name.
    </ResponseField>

    <ResponseField name="customKey" type="string">
      Client custom key, if you used it when creating the client.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/client' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{ 
  		  "data": {
  				   "action": "read",
  				   "client": {
  							  "clientKey": "CLIENT_KEY",
  							  "fullname": "John Johnson",
  							  "email": "john_johnson@mail.com",
  							  "organization": "Company Inc.",
  							  "customKey": "YOUR_COMBINATION"
  						     }
  				  }
         }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  	{
         "client": {
                  "createTime": "2023-12-01 12:18:55",
  				"changeTime": "2023-12-01 12:18:55",
                  "clientKey": "CLIENT_KEY", 
  				"fullname": "John Johnson",
      		    "email": "john_johnson@mail.com",
  				"organization": "Company Inc.",
  				"customKey": "YOUR_COMBINATION"
  		},
         "code": "200",
         "message": "Client found"
      } 
  ```
</ResponseExample>
